Page MenuHomePhabricator

Add support for mobile change patrolling
Closed, ResolvedPublic

Description

In mobile version is possible to "certify" the creation of the new pages but there's no link to "certify" the changes.

I don't know if all the wiki works this way, but I would highlight it because in my opinion it's a wrong behaviour.

See this example link: https://it.m.wikivoyage.org/wiki/Speciale:MobileDiff/304440...305277

Furthermore, I take the chance to bring to your attention another painful issue. My BB has a small screen and the tab in the bottom where it's written the user name and the amount of its contribution, stays always in the bottom of my VISIBLE screen reducing drastically the readable area. Is it possible to stack it in the very bottom of the page (instead of the visible area) or to allow through a clickable [X] to close it?


Version: unspecified
Severity: enhancement
Platform: Smartphone
URL: https://it.m.wikivoyage.org/wiki/Speciale:MobileDiff/304440...305277

Details

Reference
bz53684

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:13 AM
bzimport set Reference to bz53684.
bzimport added a subscriber: Unknown Object (MLST).
Andyrom75 created this task.Sep 2 2013, 4:10 PM

Prioritization and scheduling of this bug is tracked on Mingle card https://mingle.corp.wikimedia.org/projects/mobile//1183

From what I understand "certification" of pages is quite a big chunk of work around page patrol so marking as an enhancement.

Can you open a separate bug for the second issue describing what device you are using, the screen size and other useful information? Thanks!

Mobile patrolling is an enhancement? I wouldn't have said that.

For the second one, I would agree that is an enhancement. As written above I'm using a BB, but I'm quite confident that the described behaviour will occuer on every screen, but smaller is the screen an bigger is the visibility issue for an user.

yup. No code exists to support mobile patrolling so the code will have to be enhanced to do.

Oh... I didn't know that. Is it the same for all the wikis? Although it would surprise me, it could be good because with just one piece of code you could upgrade them all.

(In reply to comment #3)

From what I understand "certification" of pages is quite a big chunk of work
around page patrol so marking as an enhancement.

It's actually the opposite, page patrolling is a subset of change patrolling via (re)definition of what patrolling the first revision of a page means.

Not all wikis use change patrolling, but a number of top10 Wikipedias (and their sister projects) do; if page patrolling is in scope for mobile development, then change patrolling probably is too. That said, I'm not able to assess what priority this has in the general scheme of things. :)

bingle-admin wrote:

Prioritization and scheduling of this bug is tracked on Mingle card https://wikimedia.mingle.thoughtworks.com/projects/mobile/cards/1351

Restricted Application added a project: Readers-Web-Backlog. · View Herald TranscriptApr 8 2015, 7:00 AM

Change 213202 had a related patch set uploaded (by Florianschmidtwelzow):
Add mobile targets for patroling modules

https://gerrit.wikimedia.org/r/213202

Change 213203 had a related patch set uploaded (by Florianschmidtwelzow):
Add basic support for patrolling on mobile

https://gerrit.wikimedia.org/r/213203

Florian claimed this task.May 24 2015, 8:57 AM
Jdlrobson closed this task as Resolved.Jun 3 2015, 10:56 PM

Thanks to @Florian the link "mark as patrolled" now shows in diffs. It's not perfect but better than nothing!

Jdlrobson reopened this task as Open.Jun 3 2015, 11:01 PM

My bad I spoke too soon - failed to merge!

Change 213203 merged by jenkins-bot:
Add basic support for patrolling on mobile

https://gerrit.wikimedia.org/r/213203

Jdlrobson closed this task as Resolved.Jun 9 2015, 6:44 PM
Nemo_bis added a subscriber: DarTar.EditedJun 13 2015, 11:35 PM

Great! @DarTar used to have some statistics on the number of patrollers at https://toolserver.org/~dartar/ , is there any equivalent nowadays?